Subject: FVWM: does any module actually use the SendToModule command?

From: [email-masked] (Albrecht Kadlec)
Date: Sat, 28 Sep 96 04:27:14 +0200

Hi, found an old crashed & forgotten mail to the list:

just wondering...

I looked into FvwmButtons, to see if it were possible to swallow a window
via

SendToModule FvwmButtons *FvwmButtons(4x2, \
	Swallow xload "exec rsh remotemachine xload -d $HOSTDISPLAY")

but it doesn't look like, and it doesn't look like modification is easy for
me either (don't know any of the internals)

I think the pipe is just used for configuration during startup.
Then FvwmButtons goes into the X event loop - no more parameters acepted.

I think, one would have to do sth along
	fork()
	forever
	{	wait for input on pipe
		parse_input
	}
		
where parse_input accepts new "swallow" commands, & does a reshuffle &
redisplay.

there's just one drawback to this solution: the new swallowed apps are
added at the end, without any control over placement & ordering.

To be able to add an icon to the nth container level, the syntax would have
to be extended drastically.

hmm...,
don't know what to do with this now, just thought, I'd post it,
maybe Jarl is already back and it triggers a thought.

albrecht
-- 
That makes calamity of so long life;
For who would bear the whips and scorns of time, [...]
When he himself might his quietus make
With a bare bodkin? who would fardels bear,
To grunt and sweat under a weary life,
But that the dread of something after death,
The undiscover'd country from whose bourn
No traveller returns, puzzles the will
And makes us rather bear those ills we have
Than fly to others that we know not of?
Thus conscience does make cowards of us all	-- Shakespeare: Hamlet
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].